package drills.drill07.exercise3.hello

import drills.drill07.exercise3.replier.ActiveMQReplier
import drills.drill07.exercise3.replier.Replier
import javax.jms.TextMessage

fun main() {
    val replier: Replier = ActiveMQReplier("hello")

    replier.start()

    replier.onRequest {
        val msg = it as TextMessage
        println(msg.text)
        replier.createTextMessage("Echo ${msg.text}")
    }
}
