package drills.drill07.exercise3.replier

import javax.jms.Message
import javax.jms.ObjectMessage
import javax.jms.TextMessage

interface Replier {
    fun onRequest(buildResponse: (Message) -> Message)
    fun createTextMessage(text: String = ""): TextMessage
    fun createObjectMessage(): ObjectMessage
    fun createMessage(): Message
    fun start()
    fun close()
}
