package drills.drill07.exercise4

import drills.drill07.exercise3.requestor.ActiveMQRequestor
import drills.drill07.exercise3.requestor.Requestor

fun main() {
    val requestor: Requestor = ActiveMQRequestor("hello")

    println("Enter the number of which you want to calculate the factorial:")
    val n = readLine()?.toInt()

    val sendMessage = requestor.createMessage()
        .also { it.setIntProperty("fact", n!!) }

    val replyMessage = requestor.request(sendMessage)

    println("The factorial of $n is ${replyMessage.getLongProperty("result")}")

    requestor.close()
}
