package drills.drill07.exercise4

import drills.drill07.exercise3.replier.ActiveMQReplier
import drills.drill07.exercise3.replier.Replier

fun main() {
    val replier: Replier = ActiveMQReplier("hello")

    replier.start()

    replier.onRequest {
        val n = it.getIntProperty("fact")
        val resultMessage = replier.createMessage()
        resultMessage.setLongProperty("result", fact(n))
        resultMessage
    }
}

private fun fact(n: Int): Long {
    return if (n <= 1) 1 else n * fact(n - 1)
}
